Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class TaggedAttribute

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.TaggedAttribute

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TaggedAttribute
extends ASN1Object

TaggedAttribute from RFC5272 TaggedAttribute ::= SEQUENCE { bodyPartID BodyPartID, attrType OBJECT IDENTIFIER, attrValues SET OF AttributeValue }

Constructor Summary
`TaggedAttribute(BodyPartID bodyPartID, ASN1ObjectIdentifier attrType, ASN1Set attrValues)`

Method Summary
`ASN1ObjectIdentifier` | `getAttrType()`
`ASN1Set` | `getAttrValues()`
`BodyPartID` | `getBodyPartID()`
`static TaggedAttribute` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedAttribute

    public TaggedAttribute(BodyPartID bodyPartID,
                           ASN1ObjectIdentifier attrType,
                           ASN1Set attrValues)

Method Detail

### getInstance

    public static TaggedAttribute getInstance(java.lang.Object o)

### getBodyPartID

    public BodyPartID getBodyPartID()

### getAttrType

    public ASN1ObjectIdentifier getAttrType()

### getAttrValues

    public ASN1Set getAttrValues()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD